Subject: bug#67535: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: André Batista <[email-masked]>
Date: Thu, 5 Sep 2024 20:52:34 -0300

qui 05 set 2024 às 11:42:41 (1725547361), [email-masked] enviou:
> André Batista <[email-masked]> writes:
> 
> >> > Keeping this to i686-linux specifically, what generation of hardware
> >> > supports i686 but not x86_64? Some (very) quick checking on wikipedia
> >> > suggests that the x60 from 2006 was either 32-bit or 64-bit, and I
> >> > believe there was an atom chip from 2015 that was 32-bit. Specifically,
> >> > that makes the newest hardware (at least from the CPU perspective) 10
> >> > years old at least.
> >> 
> >> FWIW, I'm using one of those Atom chips in a netbook for an installation
> >> of Sugar Desktop.  I upgrade it every few months or so.  If I'm the only
> >> user of i686-linux I would not want to condemn the project to supporting
> >> the architecture for my sake.
> >
> > For the record, I'm another one still using those atom netbooks.
> 
> I just noticed that my Atom-powered netbook should also be able to run
> an x86_64 system.  I'll try to upgrade today; if this is successful I
> won't have any i686 system left at home.

Lucky you! Mine is an Intel Atom N270 which is 32-bit only...